### Enumeration

# GLib SpawnError

#### Declaration

    error-domain GLib.SpawnError

#### Description [src]

Error codes returned by spawning processes.

#### Members

Name | Description
--- | ---
`G_SPAWN_ERROR_FORK` | Fork failed due to lack of memory.
`G_SPAWN_ERROR_READ` | Read or select on pipes failed.
`G_SPAWN_ERROR_CHDIR` | Changing to working directory failed.
`G_SPAWN_ERROR_ACCES` | Execv() returned `EACCES`
`G_SPAWN_ERROR_PERM` | Execv() returned `EPERM`
`G_SPAWN_ERROR_TOO_BIG` | Execv() returned `E2BIG`
`G_SPAWN_ERROR_2BIG` | Deprecated alias for `G_SPAWN_ERROR_TOO_BIG` (deprecated since GLib 2.32)
`G_SPAWN_ERROR_NOEXEC` | Execv() returned `ENOEXEC`
`G_SPAWN_ERROR_NAMETOOLONG` | Execv() returned `ENAMETOOLONG`
`G_SPAWN_ERROR_NOENT` | Execv() returned `ENOENT`
`G_SPAWN_ERROR_NOMEM` | Execv() returned `ENOMEM`
`G_SPAWN_ERROR_NOTDIR` | Execv() returned `ENOTDIR`
`G_SPAWN_ERROR_LOOP` | Execv() returned `ELOOP`
`G_SPAWN_ERROR_TXTBUSY` | Execv() returned `ETXTBUSY`
`G_SPAWN_ERROR_IO` | Execv() returned `EIO`
`G_SPAWN_ERROR_NFILE` | Execv() returned `ENFILE`
`G_SPAWN_ERROR_MFILE` | Execv() returned `EMFILE`
`G_SPAWN_ERROR_INVAL` | Execv() returned `EINVAL`
`G_SPAWN_ERROR_ISDIR` | Execv() returned `EISDIR`
`G_SPAWN_ERROR_LIBBAD` | Execv() returned `ELIBBAD`
`G_SPAWN_ERROR_FAILED` | Some other fatal failure, `error->message` should explain.